summaryrefslogtreecommitdiffstats
path: root/audio/audenc/audenc.SlackBuild
diff options
context:
space:
mode:
author Klaatu <klaatu@member.fsf.org>2016-07-27 00:40:25 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-30 08:28:31 +0700
commit0f6e918737a1d48cc2dac464e31609447a15825c (patch)
treef966b26acfc1d6e626c8feb17dbc05f06a5c908a /audio/audenc/audenc.SlackBuild
parent01a1f755403187f706160b4cf7f6d47e0a79b2a0 (diff)
downloadslackbuilds-0f6e918737a1d48cc2dac464e31609447a15825c.tar.gz
slackbuilds-0f6e918737a1d48cc2dac464e31609447a15825c.tar.xz
audio/audenc: Added (audio converter).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'audio/audenc/audenc.SlackBuild')
-rw-r--r--audio/audenc/audenc.SlackBuild71
1 files changed, 71 insertions, 0 deletions
diff --git a/audio/audenc/audenc.SlackBuild b/audio/audenc/audenc.SlackBuild
new file mode 100644
index 0000000000..941b1fb78b
--- /dev/null
+++ b/audio/audenc/audenc.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for audenc
+# Copyright 2013-2016 klaatu @member.fsf.org
+#
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=audenc
+VERSION=${VERSION:-3.3.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PREFIX=${PREFIX:-/usr}
+MANDIR=${MANDIR:-$PREFIX/man}
+DOCDIR=${DOCDIR:-$PREFIX/doc}
+ARCH=${ARCH:-noarch}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+/usr/bin/rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -D -m 0755 $PRGNAM $PKG/$PREFIX/bin/$PRGNAM
+
+mkdir -p $PKG/$MANDIR/man1/
+cat man/"$PRGNAM".1 > $PKG/$MANDIR/man1/$PRGNAM.1
+
+find $PKG/usr/man/ -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man/ -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/$DOCDIR/$PRGNAM-$VERSION
+cp -a doc/* $PKG/$DOCDIR/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/$DOCDIR/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}